# Estimate scaling exponent from Rg using SAW-nu model
# Zheng W, Zerze G, Borgia A, Mittal J, Schuler B and Best RB. 
# J. Chem. Phys. 148:123329 (2018)

usage='''
command line:

		./rg2nu.py <Rg in nm> <number of peptide bonds>

input:
		Rg and number of peptide bonds

output:
		scaling exponent
'''

import sys
import numpy as np
import scipy.optimize as op

# rg2nu
def ratio(nu):
        r=1.1615
        return 2*(r+2*nu)*(r+2*nu+1)/r/(r+1)
def func_rg(nu,rg,N):
        b=0.55
        res=0.55*N**nu/np.sqrt(ratio(nu))
        return res-rg
def rg2nu(rg,N):
        res=op.fsolve(func_rg,x0=(0.5),args=(rg,N))
        return res

if len(sys.argv)!=3 or sys.argv[1]=='-h':
	print(usage)
	quit()

rg=float(sys.argv[1])
N=int(sys.argv[2])
print(rg2nu(rg,N)[0])
